SizeScreen([73,24]);
QUIET();
LogTo("doc.log");
#####Out.AutGroup
C6 := CyclicGroup(AgWords, 6);;
S3 := SymmetricGroup(AgWords, 3);;
H := WreathProduct(C6,S3);;
G := SpecialAgGroup(H / Centre(H));;
G := RenamedGensSagGroup(G, "g"); # rename gens of G to [g1,g2,..,g12]
G.name := "G";;
A := AutGroupSagGroup(G);
Size(A);
PrimePowersInt(last);
#####Out.Sizes
innersize := Size(G) / Size(Centre(G));
outersize := Size(A) / innersize;
#####Out.Orbit
Orbit(A, G.7);
Length(last);
S := Subgroup(G, [G.11, G.12]);
Size(S);
Orbit(A, S);
Intersection(last);
#####Out.Structure
AutGroupStructure(A);;
#####Out.Weights
List(Generators(A), a -> a.weight);
#####Out.Factors
fact := AutGroupFactors(A);
Length(fact);
Size(fact[3]);
#####Out.FactorsExamine
F := fact[3];;
D := DerivedSubgroup(F);;
Nice(Generators(D));
S := SylowSubgroup(F,2);;
Nice(Generators(S));
#####Out.Series
A.name := "Aut(G)";;
series := AutGroupSeries(A);;
Length(series);
series[7];
series[8];
#####Out.SeriesWeights
series[7].weight;
series[8].weight;
#####Out.Converted
H := AutGroupConverted(A);
#####
LogTo();
